%define upstream_name    Opcodes
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Opcodes info from opnames.h and opcode.h
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
More Opcodes information from opnames.h and opcode.h.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 371124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.110.0-2.mga3
+ Revision: 251002
- rebuild for perl 5.16

* Tue Dec 06 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 177821
- update to 0.11

* Mon Nov 07 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 165115
- add a description
- imported package perl-Opcodes

